mia-2dgrayimage-combine-to-rgb
Prev | Analysis, filtering, combining, and segmentation of 2D images | Next

### mia-2dgrayimage-combine-to-rgb

#### Sysnopis:

`mia-2dgrayimage-combine-to-rgb` {-o `io`} [ `options` ...]

#### Description:

This program combines up to three gray scale image to a three channel RGB image with eight bit per color channel. The input images must be gray scale of eight bit colordepth. If at input one channel is not given, it will be set to zero. at least one input channel must be given.

#### Options:

-b, --blue=(input); io

  input image for blue channel. For supported file types see Plugin type: 2dimage/io

-g, --green=(input); io

  input image for green channel. For supported file types see Plugin type: 2dimage/io

-r, --red=(input); io

  input image for red channel. For supported file types see Plugin type: 2dimage/io

-o, --out-file=(output, required); io

  combined output image. For supported file types see Plugin type: 2dimage/io

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Combine the images red.png, blue.tiff, and green.bmp to the output image rgb.jpg.

    mia-2dgrayimage-combine-to-rgb -r red.png -b blue.tiff -g green.bmp -o rgb.jpg

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dfuzzysegment | Home | mia-2dimagecombine-dice